package com.yc.education.service;/**
 * huangpan
 * 2019/10/15
 * energy
 */

import com.yc.education.model.Personnel;

import java.util.List;

/**
 *@ClassName PersonnelService
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/15 11:36
 *@Version 1.0
 */
public interface PersonnelService extends  IService<Personnel> {
    List<Personnel> getPersonnels();
    Personnel getPersonnelById(Integer id);
    void delPersonnel(Integer id);
    Personnel getPersonnelLogin(String name,String password);

    /*后台分页查询*/
    List<Personnel> getPersonnelPage(Integer pageNum, Integer pageSize,String titleName);
}
